Page MenuHomePhabricator

Enable metric collection on nginx for elasticsearch
Closed, ResolvedPublic

Description

As we have now added nginx in front of elasticsearch, collecting metrics for it seems like a good idea. We do have a diamond defined type in puppet that seems to do just that (diamond::collector::nginx).

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Mar 18 2016, 1:39 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 18 2016, 1:39 PM

Change 278276 had a related patch set uploaded (by Gehel):
Adding a $ensure parameter to nginx::status_site

https://gerrit.wikimedia.org/r/278276

Change 278278 had a related patch set uploaded (by Gehel):
Adding metric collection to nginx in the context of elasticsearch

https://gerrit.wikimedia.org/r/278278

Change 278276 merged by Gehel:
Adding a $ensure parameter to nginx::status_site

https://gerrit.wikimedia.org/r/278276

Change 278278 merged by Gehel:
Adding metric collection to nginx in the context of elasticsearch

https://gerrit.wikimedia.org/r/278278

nginx metrics are now published to Graphite. I added some basic nginx metrics to the elasticsearch-node-comparison dashboard.

Deskana closed this task as Resolved.Mar 24 2016, 4:30 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJun 7 2017, 6:43 PM